| Home | Libraries | People | FAQ | More

## Function template all

boost::algorithm::all — 'All' predicate

## Synopsis

    // In header: <boost/algorithm/string/predicate.hpp>

    template<typename RangeT, typename PredicateT>
      bool all(const RangeT & Input, PredicateT Pred);

## Description

This predicate holds it all its elements satisfy a given condition, represented by the predicate.

| Note
This function provides the strong exception-safety guarantee

Parameters: |
`Input` | An input sequence
`Pred` | A predicate
Returns: | The result of the test